## gpodder 0.16.1-5fremantleui

=== debian/changelog ===
gpodder (0.16.1-5fremantleui) fremantle; urgency=low

  * Fixed Maemo UI bugs 4686, 4687, 4688, 4689

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 12:25:53 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <thp@gpodder.org>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser, python-dbus
Description: A usable podcast aggregator for Internet Tablets
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Nokia Internet Tablets. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 A version for Linux Desktops exists. This is the Maemo version.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: Preview release with new Maemo 5 UI (2009-06-14)
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAADAFBMVEUDAwMEBAQDAwMDAwMDAwMC
 AgICAgICAgIBAQEBAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB
 AQACBQAJEgAWKwAhQgAoTwAuXAAzZAE1aAE2awI3bQI4bQI4bQM4bAM4awQ4awU4awY4aAc2Ywk1
 Xgw0WQ8zUhQyTBkyRR8yPyYyOyoyNy0yNC8zMzM1NTU2NjY3Nzc4ODg5OTk6Ojo6Ojo7Ozs8PDw9
 PT0+Pj4/Pz9AQEBBQUFCQkJDQ0NFRUVHR0dISEhJSUlKSkpMTExNTU1OTk5QUFBRUVFTU1NYWFhc
 XVxhYWBoaGdtbmxyc3F1d3R4eXZ6fHh+f3uAgnyDhX+Fh4GHiIKIiYOJioSJi4SJioSIioOHiIOF
 hoGChH+Agn5/gX1+f3x8fXp6e3l4eXZ1dnNydHBxc29vcm1vcmxrb2dnbGJla15ja1tia1hhbFZe
 aVNcaE9ZZkxYZUpWZUdSZEFMXjpJXTZKYTNObS9OdSZNeiBNfxpNgxZOhhVPiBZRixdUjxpZkiBc
 lSRimyllnixpoy9spzJvqzV1szh7vDx/wz6DyD+EzT6Gzz6H0j6J1T+L10CM2UKq23uo0YGmyIaj
 v4qit46hsZOgrZagq5mhqpqhqpyjrJ2krqClrqGlraOlraWlraemrqqmrq+nr7KosbWqtLmrtrit
 t7muubuvurywu7yzvL21vr63v8G5wcO8w8W+xMXBxsbDx8jGysvKzM7Mz9DP0dLS09TV1dbY2NjZ
 2dna2trb29vb29vc3Nzc3d7d3t/d3+He4OLf4ePh4uTi4+Xj5OXk5eXm5ubm5ubo6Ojp6enq6urq
 6urr6+vr6+vs7Ozs7Ozs7Ozs7Ozt7e3t7e3v7+/x8fH29vb29vb29vb19fX19fX09PT09PT09PTz
 8/Py8vLy8vLw8PCs43ar5XKq526o52um5mel5mWj5mKi5mCh5l6g5luf5Vqe5Vic5Faa41OY4lCW
 4U2U4EmQ3UWO2kO/mgYKAAAA4XRSTlMxMi8rJB0WDwoGAgIBAQEBAAAAAAAAAAABAgUNFBgeIiYl
 KiwtLzE0ODxBR09ZYWlxdHd5dm9qZWFdWVVRTUlFQDo1LywrLS8xNDY5PEBESE1RVVxhZmdnaWRg
 V0xFPUZJUFlibnmGjJKao66+ztjh7O/09fX19fX09PTz8O7s6OLX0MrHyc7Q1tfb3+Tm6e3x9vr8
 /f39/v7+/Pj18e/t6+vq5ePg4OHj4uHi5Ofs8fT29/f4+Pn5+fj4+Pj4+Pj4+Pj5+fn5+vr7+/v8
 /Pz9/Pz9/f39/v7+/v7+/v7+/v5dXlGUAAABpUlEQVQoz2MQxAkYaCalpAhlxKWkx8XFIUlpdLQG
 5oSAZBLj4lKSs+OgUvzBwa3/ugoOrsgVhGgQXJwBlcpZuaLs+4RFt+8vsADKAGXjli+GSLkW3L63
 cOKkhQ9evqzjEExZt27p4gUpECnnggev7tf8L3j08OE+Y8HFG1avXL8Fqku64MnDhwUTqx4+3HLS
 WHDl6jMHti9aHAeWYi14+Gjfzp660w+rCuri1m04vHfjIqgujrqHe6o29EytfVhbV5d0YNGa9T19
 HYoQFxof2F9X0POvZ8HeHcaL798/uXXC20kaECm2kpfFBf0zftTX1TMufnLvwone35OhUoLGBVvq
 fvz/97NDSXHhyxvnj+7rb1eEBRSjccuMPzN+/ent2/7g2tkjBxaDw1CxtaO9tbW14+/fGTN+//y5
 4f7l04f2ZUGker9++/Hz948fM4Dg9/vZ8+Yv27AoHiylMeHLj5/fPn/+/uPrp/fv3r59+64nNU4Q
 auCE32AhMHj3fXKHBjwqpbVb2iCgvaOjpUWXkYWNGx7LnOxsrMwMYMDMysbBTaMUBQBIwuXsDRwz
 uwAAAABJRU5ErkJggg==

## gpodder 0.16.1-6fremantleui

=== debian/changelog ===
gpodder (0.16.1-6fremantleui) fremantle; urgency=low

  * Fixed some bugs in the latest release; re-enabled welcome screen

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 15:03:18 +0200

## gpodder 0.16.1-7fremantleui

=== debian/changelog ===
gpodder (0.16.1-7fremantleui) fremantle; urgency=low

  * Add special code to show the AppMenu (for beta2 and later)

 -- Thomas Perl <thp@gpodder.org>  Sat,  1 Aug 2009 18:14:12 +0200

## gpodder 0.16.1-8fremantleui

=== debian/changelog ===
gpodder (0.16.1-8fremantleui) fremantle; urgency=low

  * Use $HOME for downloads

 -- Thomas Perl <thp@gpodder.org>  Mon,  3 Aug 2009 21:14:52 +0200

## gpodder 0.16.1-9fremantleui

=== debian/changelog ===
gpodder (0.16.1-9fremantleui) fremantle; urgency=low

  * Rename application in .desktop file to "gPodder" to avoid the
    name being cut off in the menu

 -- Thomas Perl <thp@gpodder.org>  Thu, 20 Aug 2009 15:00:40 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  .
  A version for Linux Desktops exists. This is the Maemo version.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: Preview release with new Maemo 5 UI (2009-06-14)
+XB-Maemo-Upgrade-Description: Fix application name in menu to fit view
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAADAFBMVEUDAwMEBAQDAwMDAwMDAwMC
  AgICAgICAgIBAQEBAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB
  AQACBQAJEgAWKwAhQgAoTwAuXAAzZAE1aAE2awI3bQI4bQI4bQM4bAM4awQ4awU4awY4aAc2Ywk1

## gpodder 0.16.1-10frmntl0

=== debian/changelog ===
gpodder (0.16.1-10frmntl0) fremantle; urgency=low

  * Add support for subscribing to URLs via command-line
    (backported from the Git development version for feedhandler)

 -- Thomas Perl <thp@gpodder.org>  Wed, 26 Aug 2009 15:45:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser, python-dbus
+Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser, python-dbus, feedhandler (>= 0.2)
 Description: A usable podcast aggregator for Internet Tablets
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Nokia Internet Tablets. Podcasts are like

## gpodder 0.16.1-10frmntl1

=== debian/changelog ===
gpodder (0.16.1-10frmntl1) fremantle; urgency=low

  * Work around Maemo bug #4718 by setting the widget name for buttons
  * Shownotes: "One window to rule them all" (Closes: Maemo bug #5097)
  * Support the changed API for PyMaemo's HildonTouchSelector
    (hildon.TouchSelector(text=True) vs. hildon_touch_selector_new_text)

 -- Thomas Perl <thp@gpodder.org>  Fri,  4 Sep 2009 18:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  .
  A version for Linux Desktops exists. This is the Maemo version.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: Fix application name in menu to fit view
+XB-Maemo-Upgrade-Description: Fix button styles; no multiple shownotes dialogs
 XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAADAFBMVEUDAwMEBAQDAwMDAwMDAwMC
  AgICAgICAgIBAQEBAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB
  AQACBQAJEgAWKwAhQgAoTwAuXAAzZAE1aAE2awI3bQI4bQI4bQM4bAM4awQ4awU4awY4aAc2Ywk1

## gpodder 2.0%2bgit20090922

=== Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

##########################################################################

BINFILE=bin/gpodder
MESSAGESPOT=data/messages.pot

UIFILES=$(wildcard data/ui/*.ui \
	           data/ui/desktop/*.ui \
		   data/ui/maemo/*.ui \
		   data/ui/frmntl/*.ui)
UIFILES_H=$(subst .ui,.ui.h,$(UIFILES))
TRANSLATABLE_SOURCE=$(wildcard src/gpodder/*.py \
		               src/gpodder/gtkui/*.py \
		               src/gpodder/gtkui/interface/*.py \
			       src/gpodder/gtkui/desktop/*.py \
			       src/gpodder/gtkui/maemo/*.py \
			       src/gpodder/gtkui/frmntl/*.py)

HELP2MAN=help2man
MANPAGE=doc/man/gpodder.1
GPODDERVERSION=`cat $(BINFILE) |grep ^__version__.*=|cut -d\" -f2`

GPODDER_ICON_THEME=dist/gpodder

ROSETTA_FILES=$(MESSAGESPOT) data/po/*.po
ROSETTA_ARCHIVE=gpodder-rosetta-upload.tar.gz

CHANGELOG=ChangeLog
CHANGELOG_TMP=.ChangeLog.tmp
CHANGELOG_EDT=.ChangeLog.edit
CHANGELOG_BKP=.ChangeLog.backup
EMAIL ?= $$USER@`hostname -f`

DESTDIR ?= /
PREFIX ?= /usr

# default editor of user has not set "EDITOR" env variable
EDITOR ?= vim

##########################################################################

all: help

help:
	@echo 'make test            run gpodder in local directory'
	@echo 'make unittest        run doctests + unittests'
	@echo 'make mtest           run gpodder (for maemo scratchbox)'
	@echo 'make release         create source tarball in "dist/"'
	@echo 'make releasetest     run some tests before the release'
	@echo 'make install         install gpodder into "$(PREFIX)"'
	@echo 'make uninstall       uninstall gpodder from "$(PREFIX)"'
	@echo 'make generators      generate manpage and icons (if needed)'
	@echo 'make messages        rebuild messages.pot from new source'
	@echo 'make rosetta-upload  generate a tarball of all translation files'
	@echo 'make clean           remove generated+temp+*.py{c,o} files'
	@echo 'make distclean       do a "make clean" + remove "dist/"'
	@echo ''
	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'
	@echo ''
	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'

##########################################################################

test:
	@# set xterm title to know what this window does ;)
	@echo -ne '\033]0;gPodder console (make test)\007'
	$(BINFILE) --verbose

unittest:
	PYTHONPATH=src/ python -m gpodder.unittests

mtest:
	@# in maemo scratchbox, we need this for osso/hildon
	run-standalone.sh python2.5 $(BINFILE) --maemo --verbose

deb:
	debuild

release: distclean
	python setup.py sdist

releasetest: unittest
	desktop-file-validate data/gpodder.desktop
	make -C data/po validate

install: generators
	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)

update-icons:
	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/

uninstall:
	@echo "##########################################################################"
	@echo "#  MAKE UNINSTALL STILL NOT READY FOR PRIME TIME, WILL DO MY BEST TO     #"
	@echo "#  REMOVE FILES INSTALLED BY GPODDER. WATCH INSTALL PROCESS AND REMOVE   #"
	@echo "#  THE REST OF THE PACKAGES MANUALLY TO COMPLETELY REMOVE GPODDER.       #"
	@echo "##########################################################################"
	rm -rf $(PREFIX)/share/gpodder $(PREFIX)/share/pixmaps/gpodder* $(PREFIX)/share/applications/gpodder.desktop $(PREFIX)/share/man/man1/gpodder.1 $(PREFIX)/bin/gpodder $(PREFIX)/lib/python?.?/site-packages/gpodder/ $(PREFIX)/share/locale/*/LC_MESSAGES/gpodder.mo

##########################################################################

generators: $(MANPAGE)
	make -C data/po update

messages: gen_gettext

$(MANPAGE): src/gpodder/__init__.py
	$(HELP2MAN) --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)

gen_gettext: $(MESSAGESPOT)
	make -C data/po generators
	make -C data/po update

data/ui/%.ui.h: $(subst .ui.h,.h,$@)
	intltool-extract --type=gettext/glade $(subst .ui.h,.ui,$@)

$(MESSAGESPOT): src/gpodder/*.py $(BINFILE) $(UIFILES_H) $(TRANSLATABLE_SOURCE)
	xgettext -k_ -kN_ -o $(MESSAGESPOT) $(TRANSLATABLE_SOURCE) $(UIFILES_H) $(BINFILE)
	sed -i'~' -e 's/SOME DESCRIPTIVE TITLE/gPodder translation template/g' -e 's/YEAR THE PACKAGE'"'"'S COPYRIGHT HOLDER/2006 Thomas Perl/g' -e 's/FIRST AUTHOR <EMAIL@ADDRESS>, YEAR/Thomas Perl <thp@perli.net>, 2006/g' -e 's/PACKAGE VERSION/gPodder '$(GPODDERVERSION)'/g' -e 's/PACKAGE/gPodder/g' $(MESSAGESPOT)

rosetta-upload: $(ROSETTA_ARCHIVE)
	@echo 'You can now upload the archive to launchpad.net:  ' $(ROSETTA_ARCHIVE)

$(ROSETTA_ARCHIVE):
	tar czvf $(ROSETTA_ARCHIVE) $(ROSETTA_FILES)

install-git-menuitem:
	doc/dev/install-desktopentry.sh

remove-git-menuitem:
	doc/dev/install-desktopentry.sh --remove

gpodder-icon-theme:
	rm -rf $(GPODDER_ICON_THEME)
	mkdir -p $(GPODDER_ICON_THEME)
	python doc/dev/icon-theme/list-icon-names.py >$(GPODDER_ICON_THEME)/names
	(cd $(GPODDER_ICON_THEME) && \
	    python ../../doc/dev/icon-theme/pack-icons.py && \
	    python ../../doc/dev/icon-theme/create-index.py >index.theme && \
	    rm -f names)

##########################################################################

clean:
	python setup.py clean
	rm -f src/gpodder/*.pyc src/gpodder/gtkui/*.pyc src/gpodder/gtkui/interface/*.pyc src/gpodder/gtkui/maemo/*.pyc src/gpodder/gtkui/desktop/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
	rm -rf build
	make -C data/po clean

debclean:
	fakeroot debian/rules clean

distclean: clean
	rm -rf dist
 
##########################################################################

.PHONY: all test unittest release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help install-git-menuitem remove-git-menuitem

##########################################################################

=== data/po/Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
update:
	for langfile in *.po; do echo 'Compiling translation:' $${langfile}; mkdir -p ../locale/`basename $${langfile} .po`/LC_MESSAGES/; msgfmt $${langfile} -o ../locale/`basename $${langfile} .po`/LC_MESSAGES/gpodder.mo; done

generators:
	for langfile in *.po; do echo -n $${langfile}; msgmerge -U $${langfile} ../messages.pot; done

clean:
	rm -rf ../locale *~ *.mo

statistics:
	@for file in *.po; do echo -n "$$file (`cat $$file | grep Revision-Date | cut -d' ' -f2`): "; msgfmt --statistics $$file 2>&1; done

validate:
	./validate.sh

.PHONY: update generators clean statistics validate

## gpodder 2.0%2bgit20091013

=== Makefile ===
--- 
+++ 
@@ -162,7 +162,9 @@
 
 clean:
 	python setup.py clean
-	rm -f src/gpodder/*.pyc src/gpodder/gtkui/*.pyc src/gpodder/gtkui/interface/*.pyc src/gpodder/gtkui/maemo/*.pyc src/gpodder/gtkui/desktop/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
+	find src/ -name '*.pyc' -exec rm '{}' \;
+	find src/ -name '*.pyo' -exec rm '{}' \;
+	rm -f MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
 	rm -rf build
 	make -C data/po clean

## gpodder 2.2

=== Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2010 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

##########################################################################

BINFILE=bin/gpodder
MESSAGESPOT=data/messages.pot

UIFILES=$(wildcard data/ui/*.ui \
	           data/ui/desktop/*.ui \
		   data/ui/maemo/*.ui \
		   data/ui/frmntl/*.ui)
UIFILES_H=$(subst .ui,.ui.h,$(UIFILES))
TRANSLATABLE_SOURCE=$(wildcard src/gpodder/*.py \
		               src/gpodder/gtkui/*.py \
		               src/gpodder/gtkui/interface/*.py \
			       src/gpodder/gtkui/desktop/*.py \
			       src/gpodder/gtkui/maemo/*.py \
			       src/gpodder/gtkui/frmntl/*.py)

HELP2MAN=help2man
MANPAGE=doc/man/gpodder.1

GPODDER_ICON_THEME=dist/gpodder

GPODDER_SERVICE_FILE=data/org.gpodder.service
GPODDER_SERVICE_FILE_IN=$(addsuffix .in,$(GPODDER_SERVICE_FILE))

DESTDIR ?= /
PREFIX ?= /usr

##########################################################################

all: help

help:
	@echo 'make test            run gpodder in local directory'
	@echo 'make unittest        run doctests + unittests'
	@echo 'make mtest           run gpodder (for maemo scratchbox)'
	@echo 'make release         create source tarball in "dist/"'
	@echo 'make releasetest     run some tests before the release'
	@echo 'make install         install gpodder into "$(PREFIX)"'
	@echo 'make manpage         update manpage (on release)'
	@echo 'make messages        update messages.pot + .po files + .mo files'
	@echo 'make clean           remove generated+temp+*.py{c,o} files'
	@echo 'make distclean       do a "make clean" + remove "dist/"'
	@echo ''
	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'

##########################################################################

test:
	@# set xterm title to know what this window does ;)
	@echo -ne '\033]0;gPodder console (make test)\007'
	$(BINFILE) --verbose

unittest:
	PYTHONPATH=src/ python -m gpodder.unittests

mtest:
	@# in maemo scratchbox, we need this for osso/hildon
	run-standalone.sh python2.5 $(BINFILE) --maemo --verbose

deb:
	debuild

release: distclean
	python setup.py sdist

releasetest: unittest
	desktop-file-validate data/gpodder.desktop
	make -C data/po validate

$(GPODDER_SERVICE_FILE): $(GPODDER_SERVICE_FILE_IN)
	sed -e 's#__PREFIX__#$(PREFIX)#' $< >$@

install: messages $(GPODDER_SERVICE_FILE)
	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)

##########################################################################

manpage: $(MANPAGE)

$(MANPAGE): src/gpodder/__init__.py $(BINFILE)
	$(HELP2MAN) --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)

##########################################################################

messages: $(MESSAGESPOT)
	make -C data/po

data/ui/%.ui.h: $(UIFILES)
	intltool-extract --quiet --type=gettext/glade $(subst .ui.h,.ui,$@)

$(MESSAGESPOT): $(TRANSLATABLE_SOURCE) $(UIFILES_H) $(BINFILE)
	xgettext -k_:1 -kN_:1 -kN_:1,2 -o $(MESSAGESPOT) $(TRANSLATABLE_SOURCE) $(UIFILES_H) $(BINFILE)

##########################################################################

install-git-menuitem:
	doc/dev/install-desktopentry.sh

remove-git-menuitem:
	doc/dev/install-desktopentry.sh --remove

gpodder-icon-theme:
	rm -rf $(GPODDER_ICON_THEME)
	mkdir -p $(GPODDER_ICON_THEME)
	python doc/dev/icon-theme/list-icon-names.py >$(GPODDER_ICON_THEME)/names
	(cd $(GPODDER_ICON_THEME) && \
	    python ../../doc/dev/icon-theme/pack-icons.py && \
	    python ../../doc/dev/icon-theme/create-index.py >index.theme && \
	    rm -f names)

##########################################################################

clean:
	python setup.py clean
	find src/ -name '*.pyc' -exec rm '{}' \;
	find src/ -name '*.pyo' -exec rm '{}' \;
	rm -f MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
	rm -rf build
	make -C data/po clean

debclean:
	fakeroot debian/rules clean

distclean: clean
	rm -rf dist

##########################################################################

.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem

##########################################################################

=== data/po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2010 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,11 +16,21 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 #
-update:
-	for langfile in *.po; do echo 'Compiling translation:' $${langfile}; mkdir -p ../locale/`basename $${langfile} .po`/LC_MESSAGES/; msgfmt $${langfile} -o ../locale/`basename $${langfile} .po`/LC_MESSAGES/gpodder.mo; done
 
-generators:
-	for langfile in *.po; do echo -n $${langfile}; msgmerge -U $${langfile} ../messages.pot; done
+PO_FILES=$(wildcard *.po)
+MO_FILES=$(addsuffix LC_MESSAGES/gpodder.mo,$(addprefix ../locale/,$(subst .po,/,$(wildcard *.po))))
+POT_FILE=../messages.pot
+
+all: $(PO_FILES) $(MO_FILES)
+
+%.po: $(POT_FILE)
+	@echo "Merging $(notdir $<) -> $@"
+	@msgmerge --silent $@ $< --output-file=$@
+
+%.mo: $(PO_FILES)
+	@echo "Compiling $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -> $(notdir $@)"
+	@mkdir -p $(@D)
+	@msgfmt $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -o $@
 
 clean:
 	rm -rf ../locale *~ *.mo
@@ -31,5 +41,5 @@
 validate:
 	./validate.sh
 
-.PHONY: update generators clean statistics validate
+.PHONY: all clean statistics validate

## gpodder 2.4

=== data/osx/Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (c) 2005-2010 Thomas Perl and the gPodder Team
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
# the installed path of the gpodder script
GPODDERSCRIPT=/Users/elelay/misc/macports/svnlocal_dports/gnome/gpodder/gpodder/bin/gpodder
# the /Applications directory
APPLICATIONSDIR=/tmp/Applications
APPDIR=$(APPLICATIONSDIR)/gPodder.app
BINDIR=$(APPDIR)/Contents/MacOS
RESOURCESDIR=$(APPDIR)/Contents/Resources
# current version of gPodder
VERSION=2.3

all:$(BINDIR)/gpodder\
	$(RESOURCESDIR)/icon.icns\
	$(APPDIR)/Contents/PkgInfo\
	$(APPDIR)/Contents/Info.plist

$(BINDIR):
	mkdir -p $(BINDIR)

$(RESOURCESDIR):
	mkdir -p $(RESOURCESDIR)

$(BINDIR)/gpodder: ../../bin/gpodder $(BINDIR)
	ln -s $(GPODDERSCRIPT) $@

$(RESOURCESDIR)/icon.icns: icon.icns $(RESOURCESDIR)
	install $< $@

$(APPDIR)/Contents/PkgInfo: PkgInfo $(RESOURCESDIR)
	install $< $@

$(APPDIR)/Contents/Info.plist: Info.plist $(APPDIR)/Contents
	sed "s|__VERSION__|$(VERSION)|g" $< > $@

clean:
	rm -rf $(APPDIR)

.PHONY: all clean dirs

## gpodder 2.5-1

=== debian/changelog ===
gpodder (2.5-1) fremantle; urgency=low

  * The "Knock knock knock Penny" release

 -- Thomas Perl <thp@thpinfo.com>  Tue, 20 Apr 2010 20:43:08 +0200

gpodder (2.4-2) fremantle; urgency=low

  * Cherry-picked two YouTube download fixes from upstream

 -- Thomas Perl <thp@thpinfo.com>  Thu, 01 Apr 2010 17:17:36 +0200

gpodder (2.4-1) fremantle; urgency=low

  * "The Pants Alternative" release
  * debian/control: Add versioned dependency (>= 1.2) on mygpoclient

 -- Thomas Perl <thp@thpinfo.com>  Mon, 29 Mar 2010 11:12:07 +0200

gpodder (2.3-1) fremantle; urgency=low

  * "The Adhesive Duck Deficiency" release
  * Patches from 2.2-2 dropped - they're merged upstream in 2.3
  * debian/control: Added Polish description by Tomasz Dominikowski
  * debian/control: Added German description by Oskar Welzl

 -- Thomas Perl <thp@thpinfo.com>  Sat, 27 Feb 2010 17:47:08 +0100

gpodder (2.2-2) fremantle; urgency=low

  * Bugfix release for Maemo Extras
  * Merge upstream patch cd7cd0a53e ("PYTHON" variable in Makefile)
  * Merge upstream patch c3a140aa5d (Closes: Maemo bug 8861)

 -- Thomas Perl <thp@thpinfo.com>  Sat, 13 Feb 2010 03:00:39 +0100

gpodder (2.2-1) fremantle; urgency=low

  * The "LA X" release

 -- Thomas Perl <thp@gpodder.org>  Fri,  5 Feb 2010 15:52:45 +0100

gpodder (2.1-1) fremantle; urgency=low

  * "The Luminous Fish Effect" release
  * New upstream release with support for Maemo 5

 -- Thomas Perl <thp@gpodder.org>  Sat, 12 Dec 2009 18:05:43 +0100

gpodder (2.0+git20091206-2) fremantle; urgency=low

  * Depend on gpodder-icon-theme 2.0-3 (to fix Maemo bug 6356)

 -- Thomas Perl <thp@gpodder.org>  Sun,  6 Dec 2009 23:12:14 +0100

gpodder (2.0+git20091206-1) fremantle; urgency=low

  * gPodder 2.1 Preview Release (aka the #maebar release)

 -- Thomas Perl <thp@gpodder.org>  Sun,  6 Dec 2009 09:36:58 +0100

gpodder (2.0+git20091013-thp1) fremantle; urgency=low

  * Optified

 -- Thomas Perl <thp@gpodder.org>  Wed, 14 Oct 2009 14:55:01 +0200

gpodder (2.0+git20091013-thp0) fremantle; urgency=low

  * Second release of gPodder 2.0 for Maemo 5 based on today's
    Git snapshot (commit ID 555070c1e7dbe84214cd4203376096f9e075bba4)

 -- Thomas Perl <thp@gpodder.org>  Tue, 13 Oct 2009 22:54:39 +0200

gpodder (2.0+git20090922-1~thp0) fremantle; urgency=low

  * Initial test release of gPodder 2.0 for Maemo 5 based on today's
    Git snapshot (commit ID 627be33765b7316fd03f6f45e321c4c19aedb031)

 -- Thomas Perl <thp@gpodder.org>  Tue, 22 Sep 2009 20:59:16 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <thp@gpodder.org>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.2), maemo-optify
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.2)
Description: A podcast aggregator for the Nokia N900
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Maemo 5 and the N900. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 Different versions for several platforms and devices exist.
 This is the Maemo 5-optimized version of gPodder.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: The "Knock knock knock Penny" release
XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client
XB-Description-de_DE: Der Podcast-Aggregator für Maemo 5.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
 6QAAAGNQTFRFQOlpFRMWMi40QCxDWkJhTUpPbTyPeE98eFp/iVatbWluhmmL
 knOWgX+CoHHFmoGft3blqIHBp5CuvIbix5Lqo6Wi0KHtzaXs17PywcTAycvI
 4cb159L22NrX3+He69v39PbzL6jP8AAAAAF0Uk5TAEDm2GYAAAABYktHRACI
 BR1IAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAAB3RJTUUH2QkWEwYVpGDTMQAA
 Au1JREFUSMfNldmCoyAURKOggCguoJKQNv7/V3ZdXBLtZKbfZu5LjKnDrWLL
 5fJPahgH1Dj8Vu1DuKNC8L9ghnB/RHGIVAjDX+SPOPLgrHWDj9AfkNHfHyGM
 tmkai6KPkRA/fhjeP+5hhGoYl/KjaxpC/PDBTggkH5yzxljnHPIDAfHOFul9
 05DcKM5YnitlnBvxzr8jRk96S6OrnPNaM2NUrii6I+JHDk9+SG9yZVhdgkBo
 laMJCMpxMoTpgx/SG5vzTsiOKRBNJCyIkyk0GEhvc2sE16UQtRSNrrTIyVUz
 YHF+NCBDuapQhRZCl6yqrn2lcyQfzi3QwFEDpYpqmqeqEPCUVfM8T4VUMNW4
 QwtsIDTAxOeymKKKw1NGj/OUocVwajHeMaWOEmRXEs19JgQv4uNccUstsLHG
 oyMARmSL6AtA1q/PqTl7IkeWHBm2iuaMi/RrexaI7Sxt4s3RFkHtIoRIpv0Z
 IWjxdk97ZpXMm4g9gZ6dUw/3sABmByoA8QHULfkBbB3alLT9ClCHCtFv6UeA
 OvQpBYGlFOCUpsUCuFeAQttmBYokgTLlgmEd+iTJIjBamqXX0GNcOABZBBIs
 XLoCFNrTUX2eVL+lTq7U4TZfAQh89kQXYo3gX7cGTgMAbIc+wcgZA8AybCrs
 rcTA0esyvHhqMTX9NH9RA7S40qxWKTU4OFo9EUFJMTcsAhIE3G0N/OHKCHQF
 UOzi1mepjkDJkzRLBM2pP59RauGIMDxJGB1RAjSOhSVDjhK0pzs4LGuBS4yv
 gK6ZiXrTdZ3GXXW4l+jCttFVy8rFkug4b9tWCQkxl7V8EviuMUrXKtO2HLfM
 UmUHJX7jEr/Wdb0DTEoef4olu7UBTEHXkbbUZVnuANOg42t62+FGepaU+CZJ
 fgDikFLHEke5XsSk1ztQ64NGLmh5qo5fXoBFVX4sWObPzHwL8ElNwV6XgWY1
 pj5idSx6f161yGBpyBSNtlWp9Trf7/8V2bu6/P/1DQAoZoGxNkMYAAAAAElF
 TkSuQmCC

## gpodder 2.6

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,8 @@
 DESTDIR ?= /
 PREFIX ?= /usr
 
+PYTHON ?= python
+
 ##########################################################################
 
 all: help
@@ -52,7 +54,6 @@
 help:
 	@echo 'make test            run gpodder in local directory'
 	@echo 'make unittest        run doctests + unittests'
-	@echo 'make mtest           run gpodder (for maemo scratchbox)'
 	@echo 'make release         create source tarball in "dist/"'
 	@echo 'make releasetest     run some tests before the release'
 	@echo 'make install         install gpodder into "$(PREFIX)"'
@@ -72,17 +73,13 @@
 	$(BINFILE) --verbose
 
 unittest:
-	PYTHONPATH=src/ python -m gpodder.unittests
-
-mtest:
-	@# in maemo scratchbox, we need this for osso/hildon
-	run-standalone.sh python2.5 $(BINFILE) --maemo --verbose
+	PYTHONPATH=src/ $(PYTHON) -m gpodder.unittests
 
 deb:
 	debuild
 
 release: distclean
-	python setup.py sdist
+	$(PYTHON) setup.py sdist
 
 releasetest: unittest
 	desktop-file-validate data/gpodder.desktop
@@ -92,7 +89,7 @@
 	sed -e 's#__PREFIX__#$(PREFIX)#' $< >$@
 
 install: messages $(GPODDER_SERVICE_FILE)
-	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
+	$(PYTHON) setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
 
 ##########################################################################
 
@@ -123,16 +120,16 @@
 gpodder-icon-theme:
 	rm -rf $(GPODDER_ICON_THEME)
 	mkdir -p $(GPODDER_ICON_THEME)
-	python doc/dev/icon-theme/list-icon-names.py >$(GPODDER_ICON_THEME)/names
+	$(PYTHON) doc/dev/icon-theme/list-icon-names.py >$(GPODDER_ICON_THEME)/names
 	(cd $(GPODDER_ICON_THEME) && \
-	    python ../../doc/dev/icon-theme/pack-icons.py && \
-	    python ../../doc/dev/icon-theme/create-index.py >index.theme && \
+	    $(PYTHON) ../../doc/dev/icon-theme/pack-icons.py && \
+	    $(PYTHON) ../../doc/dev/icon-theme/create-index.py >index.theme && \
 	    rm -f names)
 
 ##########################################################################
 
 clean:
-	python setup.py clean
+	$(PYTHON) setup.py clean
 	find src/ -name '*.pyc' -exec rm '{}' \;
 	find src/ -name '*.pyo' -exec rm '{}' \;
 	rm -f MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)

=== data/osx/Makefile ===
--- 
+++ 
@@ -26,6 +26,14 @@
 # current version of gPodder
 VERSION=2.3
 
+# set OSXVERSION to darwin8 to get the Mac OS X Tiger version of the plist.
+OSXVERSION=darwin8
+ifeq ($(OSXVERSION),darwin8)
+PLIST=Info-10.4.plist
+else
+PLIST=Info.plist
+endif
+
 all:$(BINDIR)/gpodder\
 	$(RESOURCESDIR)/icon.icns\
 	$(APPDIR)/Contents/PkgInfo\
@@ -46,7 +54,7 @@
 $(APPDIR)/Contents/PkgInfo: PkgInfo $(RESOURCESDIR)
 	install $< $@
 
-$(APPDIR)/Contents/Info.plist: Info.plist $(APPDIR)/Contents
+$(APPDIR)/Contents/Info.plist: $(PLIST) $(APPDIR)/Contents
 	sed "s|__VERSION__|$(VERSION)|g" $< > $@
 
 clean:

## gpodder 2.6-1

=== debian/changelog ===
gpodder (2.6-1) fremantle; urgency=low

  * "The Staircase Implementation" release

 -- Thomas Perl <thp@thpinfo.com>  Sun, 23 May 2010 21:23:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.2), maemo-optify
+Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser, python-mygpoclient (>= 1.4), maemo-optify
 Homepage: http://gpodder.org/
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.2)
+Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4)
 Description: A podcast aggregator for the Nokia N900
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Maemo 5 and the N900. Podcasts are like
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Knock knock knock Penny" release
+XB-Maemo-Upgrade-Description: "The Staircase Implementation" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.7

=== data/po/Makefile ===
--- 
+++ 
@@ -18,16 +18,24 @@
 #
 
 PO_FILES=$(wildcard *.po)
-MO_FILES=$(addsuffix LC_MESSAGES/gpodder.mo,$(addprefix ../locale/,$(subst .po,/,$(wildcard *.po))))
 POT_FILE=../messages.pot
 
-all: $(PO_FILES) $(MO_FILES)
+# Check for $LINGUAS presence.
+ifeq ($(origin LINGUAS), undefined)
+	PO_INSTALL=$(PO_FILES)
+else
+	PO_INSTALL=$(addsuffix .po,$(filter $(subst .po,,$(PO_FILES)),$(LINGUAS)))
+endif
+
+MO_FILES=$(addsuffix /LC_MESSAGES/gpodder.mo,$(addprefix ../locale/,$(subst .po,,$(PO_INSTALL))))
+
+all: $(PO_INSTALL) $(MO_FILES)
 
 %.po: $(POT_FILE)
 	@echo "Merging $(notdir $<) -> $@"
 	@msgmerge --silent $@ $< --output-file=$@
 
-%.mo: $(PO_FILES)
+%.mo: $(PO_INSTALL)
 	@echo "Compiling $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -> $(notdir $@)"
 	@mkdir -p $(@D)
 	@msgfmt $(subst /LC_MESSAGES/gpodder.mo,.po,$(subst ../locale/,,$@)) -o $@

## gpodder 2.7-1

=== debian/changelog ===
gpodder (2.7-1) fremantle; urgency=low

  * The "Proposition Infinity" release

 -- Thomas Perl <thp@thpinfo.com>  Wed,  7 Jul 2010 20:21:49 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: "The Staircase Implementation" release
+XB-Maemo-Upgrade-Description: The "Proposition Infinity" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.7-2

=== debian/changelog ===
gpodder (2.7-2) fremantle; urgency=low

  * Merge YouTube bugfixes from the development branch
    (commit IDs: 5be694f9e4 and 756aac8e70)

 -- Thomas Perl <thp@thpinfo.com>  Thu, 05 Aug 2010 15:30:56 +0200

## gpodder 2.8-1

=== debian/changelog ===
gpodder (2.8-1) fremantle; urgency=low

  * "The Gold Napoleon" release
  * Support for MAFW resuming (D-Bus interaction with media player)
  * Notification support (requires a restart of hildon-home after the
    postinst script ran to re-load the notification settings)
  * debian/postinst: Install notification settings for gPodder
  * Other fixes: See http://gpodder.org/changelog/2.8

 -- Thomas Perl <thp@thpinfo.com>  Sun, 29 Aug 2010 16:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Proposition Infinity" release
+XB-Maemo-Upgrade-Description: "The Gold Napoleon" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.9-1

=== debian/changelog ===
gpodder (2.9-1) fremantle; urgency=low

  * The "Two Books In Her Bag" release
  * New feed update progress bar / improved UI
  * Show playback progress in the episode list
  * Add "Hint of the day" feature (in main menu)
  * Other fixes: See http://gpodder.org/changelog/2.9

 -- Thomas Perl <thp@thpinfo.com>  Sun, 10 Oct 2010 15:07:21 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: "The Gold Napoleon" release
+XB-Maemo-Upgrade-Description: The "Two Books In Her Bag" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.10-1

=== debian/changelog ===
gpodder (2.10-1) fremantle; urgency=low

  * The "There Lies A Widget, Stir!" release
  * Optimized episode list model (much faster loading)
  * Pause subscriptions via a podcast's app menu
  * Multi-episode deletion in episode lists app menu
  * Automatic deletion of old episodes after X days
  * Don't set resume point when playing finished episodes
  * Cleaned-up UI elements and better display of lists

 -- Thomas Perl <m@thp.io>  Sun, 28 Nov 2010 17:45:34 +0100

## gpodder 2.10-2

=== debian/changelog ===
gpodder (2.10-2) fremantle; urgency=low

  * Cherry-pick a podcast directory fix (commit d5df6aec)

 -- Thomas Perl <m@thp.io>  Mon, 29 Nov 2010 10:59:27 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Two Books In Her Bag" release
+XB-Maemo-Upgrade-Description: The "There Lies A Widget, Stir!" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DOCS		= README

PYTHON		= /usr/bin/python2.5
SETUP		= TARGET=maemo ${PYTHON} setup.py

DEBPACKAGE	= gpodder
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	PYTHON=$(PYTHON) make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	PYTHON=$(PYTHON) make -C data/po
	PYTHON=$(PYTHON) make data/org.gpodder.service
	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)'

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs $(DOCS)
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## gpodder 2.11

=== Makefile ===
--- 
+++ 
@@ -61,6 +61,7 @@
 	@echo 'make messages        update messages.pot + .po files + .mo files'
 	@echo 'make clean           remove generated+temp+*.py{c,o} files'
 	@echo 'make distclean       do a "make clean" + remove "dist/"'
+	@echo 'make headlink        print URL for the current Git head'
 	@echo ''
 	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
 	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'
@@ -128,11 +129,23 @@
 
 ##########################################################################
 
+# This only works in a Git working commit, and assumes that the local Git
+# HEAD has already been pushed to the main repository. It's mainly useful
+# for the gPodder maintainer to quickly generate a commit link that can be
+# posted online in bug trackers and mailing lists.
+
+headlink:
+	@echo http://gpodder.org/commit/`git show-ref HEAD | head -c8`
+
+##########################################################################
+
 clean:
 	$(PYTHON) setup.py clean
 	find src/ -name '*.pyc' -exec rm '{}' \;
 	find src/ -name '*.pyo' -exec rm '{}' \;
-	rm -f MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
+	find data/ui/ -name '*.ui.h' -exec rm '{}' \;
+	rm -f MANIFEST PKG-INFO data/messages.pot~
+	rm -f data/gpodder-??x??.png .coverage $(GPODDER_SERVICE_FILE)
 	rm -rf build
 	make -C data/po clean
 
@@ -144,7 +157,7 @@
 
 ##########################################################################
 
-.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem
+.PHONY: all test unittest release releasetest install manpage clean distclean messages help install-git-menuitem remove-git-menuitem headlink
 
 ##########################################################################

## gpodder 2.11-1

=== debian/changelog ===
gpodder (2.11-1) fremantle; urgency=low

  * The "Dance Me A Dance" release
  * Fix broken YouTube downloads (bug 1217)
  * Proper single-time download notifications (bug 1161)
  * Soundcloud: Better naming of downloaded files
  * YouTube: Better error message for protected videos

 -- Thomas Perl <m@thp.io>  Sun, 19 Dec 2010 23:15:15 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "There Lies A Widget, Stir!" release
+XB-Maemo-Upgrade-Description: The "Dance Me A Dance" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.12-1

=== debian/changelog ===
gpodder (2.12-1) fremantle; urgency=low

  * "The Odyssey of Flight 33" release
  * Fix empty database bug for upgrades from old releases
  * Update copyright years to include 2011
  * Remove obsolete information from debian/copyright

 -- Thomas Perl <m@thp.io>  Wed, 12 Jan 2011 12:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: gpodder
-Maintainer: Thomas Perl <thp@gpodder.org>
+Maintainer: Thomas Perl <m@thp.io>
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: The "Dance Me A Dance" release
+XB-Maemo-Upgrade-Description: "The Odyssey of Flight 33" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.13-1

=== debian/changelog ===
gpodder (2.13-1) fremantle; urgency=low

  * The "Mr. Dingle, the Strong" release
  * Fix broken YouTube search (Maemo bug 11756)
  * Mark episodes as played when they are opened in a player
  * Avoid accidental destruction of the episode actions dialog
  * Fix encoding issue (bug 1088)
  * Episode list style updates
  * Add "Copy" button for shownotes (Maemo bug 11487)
  * Move "Visit website" button to app menu
  * Add OPML export to settings (Maemo bug 11504)
  * Always show "Check for new episodes" (Maemo bug 11637)
  * Fix encoding issue with UTF-8 filenames (Maemo bug 11811)
  * Option: Auto-download episodes when on Wi-Fi (Maemo bug 5181)
  * Updated translations: Norwegian Bokml and German

 -- Thomas Perl <m@thp.io>  Sat, 19 Feb 2011 17:13:49 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4)
+Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4), python-conic
 Description: A podcast aggregator for the Nokia N900
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Maemo 5 and the N900. Podcasts are like
@@ -21,7 +21,7 @@
  Different versions for several platforms and devices exist.
  This is the Maemo 5-optimized version of gPodder.
 XB-Maemo-Display-Name: gPodder Podcast Client
-XB-Maemo-Upgrade-Description: "The Odyssey of Flight 33" release
+XB-Maemo-Upgrade-Description: "Mr. Dingle, the Strong" release
 XB-Maemo-Display-Name-pl_PL: Klient podcastów gPodder
 XB-Description-pl_PL: Klient podcastów dla telefonu Nokia N900.
 XB-Maemo-Display-Name-de_DE: gPodder Podcast-Client

## gpodder 2.13-2

=== debian/changelog ===
gpodder (2.13-2) fremantle; urgency=low

  * Depend on python-feedparser >= 5.0.1 (Maemo bug 12016)
  * Remove obsolete dependency on gpodder-icon-theme

 -- Thomas Perl <m@thp.io>  Mon,  7 Mar 2011 22:45:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser, python-dbus, python-osso, gpodder-icon-theme (>= 2.0-3), python-simplejson, python-mygpoclient (>= 1.4), python-conic
+Depends: python (>= 2.5), python-gobject, python-gtk2 (>= 2.12.1-6maemo10), python-hildon (>= 0.9.0-1maemo12), python-feedparser (>= 5.0.1), python-dbus, python-osso, python-simplejson, python-mygpoclient (>= 1.4), python-conic
 Description: A podcast aggregator for the Nokia N900
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Maemo 5 and the N900. Podcasts are like
